# -*- coding: utf-8 -*-

#main.py	─	GUI
#skoreboard fetches soccer results and leagues of a specified country or cup from the website kicker.de and displays them in a nice manner.

    #Copyright (C) 2008  Arthur Schiwon <kontakt@arthur-schiwon.de>

    #This program is free software: you can redistribute it and/or modify
    #it under the terms of the GNU General Public License as published by
    #the Free Software Foundation, either version 3 of the License, or
    #(at your option) any later version.

    #This program is distributed in the hope that it will be useful,
    #but WITHOUT ANY WARRANTY; without even the implied warranty of
    #MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    #GNU General Public License for more details.

    #You should have received a copy of the GNU General Public License
    #along with this program.  If not, see <http://www.gnu.org/licenses/>.

from PyQt4 import QtCore, QtGui
from PyKDE4 import kdeui

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(QtCore.QSize(QtCore.QRect(0,0,801,680).size()).expandedTo(MainWindow.minimumSizeHint()))

        self.centralwidget = QtGui.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")

        self.sbTabs = kdeui.KTabWidget(self.centralwidget)
        self.sbTabs.setGeometry(QtCore.QRect(0,40,801,615))
        self.sbTabs.setObjectName("sbTabs")

        self.tab = QtGui.QWidget()
        self.tab.setObjectName("tab")

        self.gbMatches = QtGui.QGroupBox(self.tab)
        self.gbMatches.setGeometry(QtCore.QRect(0,14,392,600)) #neu
        self.gbMatches.setObjectName("gbMatches")

        self.twMatches = QtGui.QTableWidget(self.gbMatches)
        self.twMatches.setGeometry(QtCore.QRect(15,30,350,510))
        self.twMatches.setObjectName("twMatches")

        self.gbShortTable = QtGui.QGroupBox(self.tab)
        self.gbShortTable.setGeometry(QtCore.QRect(396,14,392,600)) #neu
        self.gbShortTable.setObjectName("gbShortTable")

        self.twShortTable = QtGui.QTableWidget(self.gbShortTable)
        self.twShortTable.setGeometry(QtCore.QRect(15,30,350,510))
        self.twShortTable.setObjectName("twShortTable")
        self.sbTabs.addTab(self.tab,"")

		#SECOND TAB
        self.tab_2 = QtGui.QWidget()
        self.tab_2.setObjectName("tab_2")

        self.gbTable = QtGui.QGroupBox(self.tab_2)
        self.gbTable.setGeometry(QtCore.QRect(0,14,788,600))
        self.gbTable.setObjectName("gbTable")

        self.twTable = QtGui.QTableWidget(self.gbTable)
        self.twTable.setGeometry(QtCore.QRect(15,30,745,510))
        self.twTable.setObjectName("twTable")
        self.sbTabs.addTab(self.tab_2,"")
		
		#QUELLE
        self.lbSource = QtGui.QLabel(self.centralwidget)
        self.lbSource.setGeometry(QtCore.QRect(10, 750, 200, 40))
        self.lbSource.setObjectName("lbSource")

		#PROFILE + TICKER
        self.layoutWidget = QtGui.QWidget(self.centralwidget)
        self.layoutWidget.setGeometry(QtCore.QRect(10,10,521,32))
        self.layoutWidget.setObjectName("layoutWidget")

        self.hboxlayout1 = QtGui.QHBoxLayout(self.layoutWidget)
        self.hboxlayout1.setObjectName("hboxlayout1")

        self.cbProfile = kdeui.KComboBox(self.layoutWidget)
        self.cbProfile.setEditable(False)
        self.cbProfile.setObjectName("cbProfile")
        self.hboxlayout1.addWidget(self.cbProfile)

        self.pbRefresh = kdeui.KPushButton(self.layoutWidget)
        self.pbRefresh.setObjectName("pbRefresh")
        self.hboxlayout1.addWidget(self.pbRefresh)

        self.widget = QtGui.QWidget(self.centralwidget)
        self.widget.setGeometry(QtCore.QRect(570,10,221,32))
        self.widget.setObjectName("widget")

        self.hboxlayout2 = QtGui.QHBoxLayout(self.widget)
        self.hboxlayout2.setObjectName("hboxlayout2")

        self.cbTicker = QtGui.QCheckBox(self.widget)
        self.cbTicker.setChecked(True)
        self.cbTicker.setObjectName("cbTicker")
        self.hboxlayout2.addWidget(self.cbTicker)

        self.spInterval = kdeui.KIntSpinBox(self.widget)
        self.spInterval.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.spInterval.setMinimum(1)
        self.spInterval.setMaximum(30)
        self.spInterval.setObjectName("spInterval")
        self.hboxlayout2.addWidget(self.spInterval)
        MainWindow.setCentralWidget(self.centralwidget)

        self.menubar = kdeui.KMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0,0,802,27))
        self.menubar.setObjectName("menubar")
        MainWindow.setMenuBar(self.menubar)

        self.statusbar = kdeui.KStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        self.sbTabs.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(kdeui.KApplication.translate("MainWindow", "MainWindow", None, kdeui.KApplication.UnicodeUTF8))
        self.gbMatches.setTitle(kdeui.KApplication.translate("MainWindow", "GroupBox", None, kdeui.KApplication.UnicodeUTF8))
        self.twMatches.clear()
        self.twMatches.setColumnCount(0)
        self.twMatches.setRowCount(0)
        self.gbShortTable.setTitle(kdeui.KApplication.translate("MainWindow", "GroupBox", None, kdeui.KApplication.UnicodeUTF8))
        self.twShortTable.clear()
        self.twShortTable.setColumnCount(0)
        self.twShortTable.setRowCount(0)
        self.sbTabs.setTabText(self.sbTabs.indexOf(self.tab), kdeui.KApplication.translate("MainWindow", "Tab 1", None, kdeui.KApplication.UnicodeUTF8))
        self.gbTable.setTitle(kdeui.KApplication.translate("MainWindow", "GroupBox", None, kdeui.KApplication.UnicodeUTF8))
        self.twTable.clear()
        self.twTable.setColumnCount(0)
        self.twTable.setRowCount(0)
        self.sbTabs.setTabText(self.sbTabs.indexOf(self.tab_2), kdeui.KApplication.translate("MainWindow", "Tab 2", None, kdeui.KApplication.UnicodeUTF8))
        self.pbRefresh.setText(kdeui.KApplication.translate("MainWindow", "PushButton", None, kdeui.KApplication.UnicodeUTF8))
        self.cbTicker.setText(kdeui.KApplication.translate("MainWindow", "CheckBox", None, kdeui.KApplication.UnicodeUTF8))
        self.lbSource.setText(kdeui.KApplication.translate("MainWindow", "Label", None, kdeui.KApplication.UnicodeUTF8))

